#!/usr/bin/python
import sys
import hashlib
import time
import thrift.protocol.TBinaryProtocol as TBinaryProtocol
import thrift.transport.THttpClient as THttpClient
import edam.userstore.UserStore as UserStore
import edam.userstore.constants as UserStoreConstants
import edam.notestore.NoteStore as NoteStore
import edam.type.ttypes as Types

#
# Configure these based on the API key you received from Evernote
#
username = sys.argv[1]
password = sys.argv[2]

consumerKey = sys.argv[3]
consumerSecret = sys.argv[4]

userStoreUri = "https://www.evernote.com/edam/user"
noteStoreUriBase = "http://www.evernote.com/edam/note/"

userStoreHttpClient = THttpClient.THttpClient(userStoreUri)
userStoreProtocol = TBinaryProtocol.TBinaryProtocol(userStoreHttpClient)
userStore = UserStore.Client(userStoreProtocol)

authResult = userStore.authenticate(username, password,
                                    consumerKey, consumerSecret)
user = authResult.user
authToken = authResult.authenticationToken

noteStoreUri =  noteStoreUriBase + user.shardId
noteStoreHttpClient = THttpClient.THttpClient(noteStoreUri)
noteStoreProtocol = TBinaryProtocol.TBinaryProtocol(noteStoreHttpClient)
noteStore = NoteStore.Client(noteStoreProtocol)

notebooks = noteStore.listNotebooks(authToken)
booknames = []
for notebook in notebooks:
  booknames.append(notebook.name)
  
booknames.sort()
for notebook in booknames:
    print notebook
